' *********************************************************************
'
' Name        : SendEmailUsingCDOforNTS.vbs
' Author      : 3Ds (UK) Limited
' Description : Example VBScript that can be used to send an email 
'               notification using CDO for NTS from the server running
'               Sentry-go Quick Monitor. 
'
' Arguments   : #1 - String containing the ODBC DSN we should use.
'
' Notes       : Requires Windows Scripting Host (for VBScript), 
'               Microsoft CDO for NTS.
'
'               In most cases, you can send e-mail directly from Sentry-go 
'               - either through the Alerting tab or using an SMTP Alert
'               script. Alternatively, you can send it using this type of
'               script.
'
'               This example can be modified to process the error in 
'               a different way - e.g. to interface with an in-house
'               or external 3rd party system using CDO or equivalent 
'               technology.
'
' *********************************************************************

' Enable in-line error handling
On Error Resume Next

' Declare variables
Dim strSender 
Dim strRecipient 
Dim strTitle
Dim strMessage
Dim objMessage

' ******************************************************************************
'
' TODO: Change the parameters between the "<>" below for your own installation
'       Also edit the title & message text as required. To check VBScript syntax
'       simply run the script directly from Explorer to check for Syntax errors
'       etc. when complete.
'
' ******************************************************************************

' Set up parameters
strSender = "Sentry-go@<Enter Your Domain Here>"
strRecipient = "<Enter Your Recipient Here>"
strTitle = "Sentry-go/QM detected error on server <$$SERVER>"
strMessage = "The following error was detected on server <$$SERVER> at <$$TIMELOGGED>. " & Chr(13) & Chr(10) & Chr(13) & Chr(10) & "Check: <$$TEST>" & Chr(13) & Chr(10) & "Error: <$$ERROR>"

' Connect to CDO 
Set objMessage     = CreateObject("CDONTS.Newmail")
objMessage.From    = strSender
objMessage.To      = strRecipient 
objMessage.Subject = strTitle 
objMessage.Body    = strMessage 

' Send the messasge
objMessage.Send

' Check we managed to send
If Err.Number <> 0 Then

   ' Didn't send the message
   Set objMessage = Nothing
   WScript.Quit (1)
End If

' All OK
Set objMessage = Nothing
WScript.Quit (0)

' End of procedure